Skip to main content
GET
/
core
/
invite_links
/
{invite_link_id}
Get Invite Link
curl --request GET \
  --url https://api.rootfi.dev/v3/core/invite_links/{invite_link_id} \
  --header 'api_key: <api-key>'
{
  "data": {
    "rootfi_id": 1,
    "rootfi_created_at": "2021-08-10T12:00:00Z",
    "rootfi_updated_at": "2021-08-10T12:00:00Z",
    "invite_link_id": "1",
    "integrations": [
      "XERO"
    ],
    "integration_categories": [
      "ACCOUNTING"
    ],
    "company": {
      "rootfi_id": 1,
      "rootfi_created_at": "2021-08-10T12:00:00Z",
      "rootfi_updated_at": "2021-08-10T12:00:00Z",
      "name": "RootFi"
    },
    "connections": [
      {
        "rootfi_id": 1,
        "rootfi_created_at": "2021-08-10T12:00:00Z",
        "rootfi_updated_at": "2021-08-10T12:00:00Z",
        "integration_type": "XERO",
        "status": "HEALTHY",
        "sync_status": "IDLE",
        "rate_limits": {
          "counters": {
            "day": 4,
            "hour": 1,
            "minute": 1,
            "concurrent": 0
          },
          "lastReset": {
            "day": "2024-01-28T11:00:17.087Z",
            "hour": "2024-01-29T05:10:40.896Z",
            "minute": "2024-01-29T05:10:40.896Z"
          },
          "maxLimits": {
            "per_minute": 500,
            "concurrent_calls": 10
          }
        },
        "sync_config": [
          {
            "data_model": "ACCOUNTS",
            "enabled": true,
            "frequency": "DAILY",
            "interval": 1,
            "scope_access": {
              "READ": true,
              "CREATE": true,
              "UPDATE": true,
              "DELETE": true
            },
            "category": "ACCOUNTING",
            "sync_from": "2023-01-01T00:00:00Z"
          }
        ],
        "category": "ACCOUNTING"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

An invite link contains API requests for generating and managing invite links, which can be used to connect end users to their preferred accounting platforms.

Authorizations

api_key
string
header
required

Path Parameters

The ID of the invite link to retrieve

Response

The data of the invite link endpoint

data
coreInviteLinkData · object
required

The data of the invite link endpoint